use serde::{Serialize, Deserialize};

use super::channel::PartialChannel;

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Guild {
    pub id: String,
    pub name: String,
    pub owner_ids: Vec<String>,
    pub channels: Option<Vec<PartialChannel>>,
}
